import request from '@/utils/request'

// 查询质量管理列表
export function listQuality(query) {
  return request({
    url: '/casm/quality/list',
    method: 'get',
    params: query
  })
}

// 查询质量管理详细
export function getQuality(id) {
  return request({
    url: '/casm/quality/' + id,
    method: 'get'
  })
}

// 新增质量管理
export function addQuality(data) {
  return request({
    url: '/casm/quality',
    method: 'post',
    data: data
  })
}

// 修改质量管理
export function updateQuality(data) {
  return request({
    url: '/casm/quality',
    method: 'put',
    data: data
  })
}

// 删除质量管理
export function delQuality(id) {
  return request({
    url: '/casm/quality/' + id,
    method: 'delete'
  })
}
// 获取合格率
export function qualitystandardRate() {
  return request({
    url: '/casm/quality/standardRate',
    method: 'get'
  })
}
